Cancel Transaction Lineitem

Lets you cancel a line-item of a transaction. For example, it can be used for e-commerce platforms where the brand allows a customer to cancel an item (of a transaction) before it is shipped/delivered.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

To cancel a line-item, it is required to pass return item’s purchased transaction number and purchase_time. Purchase time: The date and time of the actual transaction. Billing time: The date and time of the return transaction.

Request URL

https://{host}/v1.1/transaction/add?format=json

Request Body Parameters

ParameterDatatypeDescription
Customer identifierenumPass any of the identifiers of customers for loyalty or non-loyalty returns. Value: mobile, email, external_id, id.
purchase_time*date-timeDate and time of the actual purchase of the return items.
number*stringThe actual transaction number of the returned item.
type*enumSpecify type as RETURN for regular transaction returns, NOT_INTERESTED_RETURN for not-interested transaction returns.
return_type*enumSpecify FULL to return the entire transaction, LINE_ITEM to return a particular line-item of the transaction, AMOUNT to return the transaction amount instead of replacement.
📘

Parameters marked with * are mandatory.

Response Body Parameters

ParameterDescription
status successThe success status of the response.
status codeThe HTTP status code of the response.
status messageThe status message of the response.
transaction idThe ID of the transaction.
transaction numberThe number associated with the transaction.
transaction typeThe type of transaction.
transaction delivery_statusThe delivery status of the transaction.
transaction outlier_statusThe outlier status of the transaction.
customer user_idThe user ID of the customer.
customer mobileThe mobile number of the customer.
customer firstnameThe first name of the customer.
customer lastnameThe last name of the customer.
customer emailThe email address of the customer.
customer external_idThe external ID of the customer.
customer lifetime_pointsThe lifetime points accumulated by the customer.
customer loyalty_pointsThe loyalty points accumulated by the customer.
customer lifetime_purchasesThe lifetime purchases made by the customer.
customer typeThe type of customer.
customer sourceThe source of the customer's information.
transaction points_deductedThe points deducted from the transaction.
transaction points_balanceThe balance of points after the transaction.
item_status codeThe status code of the item involved in the transaction.
item_status successThe success status of the item transaction.
item_status messageThe status message for the item transaction.
Body Params
string

The type of transaction.

string

The country in which the transaction took place.

string

The unique identifier for the transaction.

string

The reason provided for the return transaction.

string

The type of return.

string

The original bill number associated with the transaction.

string

The date of the original purchase.

string

The amount associated with the return.

string

The time the bill was issued.

string

The mobile number of the customer.

string

The email address of the customer.

string

An external identifier for the customer.

string

The customer's first name.

string

The customer's last name.

string

The serial number of the item.

string

The amount for the line item.

string

The description of the line item.

string

The unique code associated with the line item.

string

The quantity of the line item.

string

The rate of the line item.

string

The value of the line item.

string

The attribute name of the line item.

string

The attribute value of the line item.

string

The custom field name.

string

The value associated with the custom field.

int64

Transaction ID of the transaction that needs to be returned.

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json